Bug Hunting Session
Bug 103264 - context menu item "Save background image ..." does nothing
Summary: context menu item "Save background image ..." does nothing
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.3.0 target:5.2.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-16 23:36 UTC by Regina Henschel
Modified: 2016-10-25 07:40 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Document with background image (2.99 MB, application/vnd.oasis.opendocument.graphics)
2016-10-16 23:36 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-10-16 23:36:13 UTC
Created attachment 128035 [details]
Document with background image

The page/slide in Draw/Impress has an item "Save Background Image...". But if you click on it, nothing happens.
Comment 1 Commit Notification 2016-10-19 12:12:33 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a74c8af0b4573b4b72ccf04b26c71e41799e7a0

tdf#103264 Missing case for SID_SAVE_BACKGROUND

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-10-25 07:40:03 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1fcecd9d17ccf77fd446dbe4bc25aa85314b36a1&h=libreoffice-5-2

tdf#103264 Missing case for SID_SAVE_BACKGROUND

It will be available in 5.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.